curl --request GET \
--url https://api.example.com/businesses/{businessID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/businesses/{businessID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/businesses/{businessID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Business details retrieved successfully.",
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Acme Corporation",
"tin": "**-***6789",
"mobile": "+15550109999",
"official_website": "https://www.acme.com",
"public_website": "https://acme.com",
"social_account": "@acmecorp",
"address_line_1": "123 Main St",
"address_line_2": "Floor 4",
"address_city": "New York",
"address_state": "NY",
"address_postal_code": "10001",
"address_country": "US",
"created_at": "2024-01-01T08:00:00Z",
"created_by": "user_123",
"updated_at": "2024-03-12T10:30:00Z",
"updated_by": "user_456",
"status": "VERIFIED",
"industry": {
"id": "ind_99",
"name": "Hospitality",
"code": "HOSP",
"sector_code": "72",
"created_at": "2024-01-01T08:00:00Z",
"updated_at": "2024-03-12T10:30:00Z"
},
"mcc_id": "mcc_01",
"naics_id": "naics_01",
"is_deleted": false,
"naics_code": "722511",
"naics_title": "Full-Service Restaurants",
"mcc_code": "5812",
"mcc_title": "Eating Places and Restaurants",
"external_id": "EXT-98765",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_monitoring_enabled": true,
"deleted_by": null,
"deleted_at": null,
"subscription": {
"status": "ACTIVE",
"created_at": "2024-01-01T08:00:00Z",
"updated_at": "2024-03-12T10:30:00Z"
},
"owners": [
{
"id": "owner_789",
"title": {
"id": "title_01",
"title": "Owner"
},
"first_name": "John",
"last_name": "Doe",
"ssn": "***-**-1234",
"email": "john.doe@example.com",
"mobile": "+15550101111",
"date_of_birth": "1980-01-01",
"apartment": "Apt 2B",
"line_1": "456 Owner Rd",
"line_2": null,
"city": "Brooklyn",
"state": "NY",
"postal_code": "11201",
"country": "US",
"created_at": "2024-01-01T08:00:00Z",
"created_by": "user_123",
"updated_at": "2024-03-12T10:30:00Z",
"updated_by": "user_456",
"ownership_percentage": 51,
"owner_type": "CONTROL"
}
],
"business_names": [
{
"name": "Acme Corp",
"is_primary": true
}
],
"business_addresses": [
{
"line_1": "123 Main St",
"apartment": "Suite 400",
"city": "New York",
"state": "NY",
"country": "US",
"postal_code": "10001",
"mobile": "+15550109999",
"is_primary": true
}
]
}
}{
"status": "fail",
"message": "Error message description.",
"errorCode": "<string>",
"data": {}
}{
"status": "fail",
"message": "Error message description.",
"errorCode": "<string>",
"data": {}
}{
"status": "fail",
"message": "Error message description.",
"errorCode": "<string>",
"data": {}
}Get Business By ID
Retrieve details for a particular business associated with the businessID provided
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier (UUID) representing the specific business to retrieve.
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Query Parameters
A flag indicating whether to include the detailed owner information in the response payload. Defaults to false.
Response
Business details retrieved successfully.
Standard response wrapping the business details data.
The operational status of the request (e.g., 'success', 'fail').
"success"
A human-readable message describing the result of the operation.
"Business details retrieved successfully."
Comprehensive schema detailing a business's profile, including compliance, location, and structural data.
Show child attributes
Show child attributes
Was this page helpful?